org.kie.internal.event.knowledgeagent

## Class AfterResourceProcessedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.kie.internal.event.knowledgeagent.ChangeSetProcessingEvent
    - - org.kie.internal.event.knowledgeagent.AfterResourceProcessedEvent

- All Implemented Interfaces:
    Serializable

      public class AfterResourceProcessedEvent
      extends ChangeSetProcessingEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AfterResourceProcessedEvent(ChangeSet changeSet, org.kie.api.io.Resource resource, org.kie.api.io.ResourceType resourceType, KnowledgeAgent.ResourceStatus status)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.io.Resource` | `getResource()`
    `org.kie.api.io.ResourceType` | `getResourceType()`
    `KnowledgeAgent.ResourceStatus` | `getStatus()`
    `String` | `toString()`

    - ### Methods inherited from class org.kie.internal.event.knowledgeagent.ChangeSetProcessingEvent

      `getChangeSet`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AfterResourceProcessedEvent

          public AfterResourceProcessedEvent(ChangeSet changeSet,
                                             org.kie.api.io.Resource resource,
                                             org.kie.api.io.ResourceType resourceType,
                                             KnowledgeAgent.ResourceStatus status)

  - ### Method Detail

    - #### getResource

          public org.kie.api.io.Resource getResource()

    - #### getStatus

          public KnowledgeAgent.ResourceStatus getStatus()

    - #### getResourceType

          public org.kie.api.io.ResourceType getResourceType()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ChangeSetProcessingEvent`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.